VERSION 5.00
Begin VB.Form F03_Form 
   AutoRedraw      =   -1  'True
   Caption         =   "Demo F03 - Gibbs Potential of Seawater 2003"
   ClientHeight    =   5724
   ClientLeft      =   48
   ClientTop       =   288
   ClientWidth     =   7272
   Icon            =   "F03_Form.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   5724
   ScaleWidth      =   7272
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "F03_Form"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

'Fortran Convention For 16 Bit INTEGER
DefInt I-N
'All other variables are DOUBLE PRECISION by default
DefDbl A-H, O-Z

Sub F03demo(psu, degC, dbar)

Me.Show
Call COEFFS03

S = psu
T = degC + 273.15          'degC -> K
P = dbar * 10000# + 101325 'dBar -> Pa

Debug.Print "S=", psu; "psu"
Debug.Print "T=", degC; "C"
Debug.Print "P=", dbar; "dbar"
Debug.Print ""
Debug.Print "free enthalpy", GSTP03(0, 0, 0, S, T, P); "J/kg"
Debug.Print "chem. pot.   ", GSTP03(1, 0, 0, S, T, P); "J/kg psu"
Debug.Print "entropy      ", -GSTP03(0, 1, 0, S, T, P); "J/kgK"
Debug.Print "density      ", 1 / GSTP03(0, 0, 1, S, T, P); "kg/m^3"
Debug.Print "heat capacity", -T * GSTP03(0, 2, 0, S, T, P); "J/kgK"
Debug.Print "Ch. pot. H2O ", GSTP03(0, 0, 0, S, T, P) - S * GSTP03(1, 0, 0, S, T, P); "J/kg"
Debug.Print "therm. exp.  ", GSTP03(0, 1, 1, S, T, P) / GSTP03(0, 0, 1, S, T, P); "1/K"
Debug.Print "compressib.  ", -GSTP03(0, 0, 2, S, T, P) / GSTP03(0, 0, 1, S, T, P); "1/Pa"
Debug.Print "lapse rate   ", -GSTP03(0, 1, 1, S, T, P) / GSTP03(0, 2, 0, S, T, P); "K/Pa"

'Printout:
'S=             35 psu
'T=             20 C
'P=             2000 dbar
'
'free enthalpy  16583.1806714797 J/kg
'chem. pot.     60.0099366692805 J/kg psu
'entropy        276.780886190056 J/kgK
'density        1033.32930433584 kg/m^3
'heat capacity  3951.77837149032 J/kgK
'Ch. pot. H2O   14482.8328880549 J/kg
'therm. exp.    2.78522499678412E-04 1/K
'compressib.    4.06129773355324E-10 1/Pa
'lapse rate     1.99948825300137E-08 K/Pa

End Sub

Private Sub Form_Load()

'call demo printout with

'S=             35 psu
'T=             20 C
'P=             2000 dbar

F03demo 35, 20, 2000

End Sub


